Name:           flam3
Version:        3.1.1
Release:        %mkrel 6
Summary:        Programs to generate and render cosmic recursive fractal flames

Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            http://www.flam3.com
Source0:        https://github.com/scottdraves/flam3/archive/%{name}-%{version}.tar.gz
Patch0:		flam3-3.1.1-linking.patch
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  chrpath

%description
Flam3, or Fractal Flames, are algorithmically generated images and animations.
This is free software to render fractal flames as described on
http://flam3.com. Flam3-animate makes animations, and flam3-render makes still
images. Flam3-genome creates and manipulates genomes (parameter sets).

%package devel
Summary:        C headers to generate and render cosmic recursive fractal flames
Group:          Graphics/Editors and Converters
Requires:       pkgconfig(libxml-2.0)
Requires:       pkgconfig(libpng)
Requires:       jpeg-devel
Requires:       flam3 = %{version}

%description devel
Flam3, or Fractal Flames, are algorithmically generated images and animations.
This is free software to render fractal flames as described on
http://flam3.com. Flam3-animate makes animations, and flam3-render makes still
images. Flam3-genome creates and manipulates genomes (parameter sets). This
package contains a header file for C, a library, and a pkgconfig file.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--includedir=%{_includedir}/%{name} \
	--enable-shared \
	--disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete

chrpath --delete %{buildroot}%{_bindir}/%{name}-*

%files
%doc README.txt
%{_bindir}/%{name}-animate
%{_bindir}/%{name}-convert
%{_bindir}/%{name}-genome
%{_bindir}/%{name}-render
%{_datadir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/%{name}*

%files devel
%doc README.txt
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 3.1.1-6.mga9
+ Revision: 1798409
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 3.1.1-5.mga8
+ Revision: 1512312
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.1.1-4.mga7
+ Revision: 1297713
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 wally <wally> 3.1.1-3.mga7
+ Revision: 1235204
- add patch to fix linking
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 11 2016 umeabot <umeabot> 3.1.1-2.mga6
+ Revision: 953944
- Mageia 6 Mass Rebuild

* Wed Jul 01 2015 alexl <alexl> 3.1.1-1.mga6
+ Revision: 849355
- googlecode->github
- version 3.1.1

* Wed Oct 15 2014 umeabot <umeabot> 3.0.1-4.mga5
+ Revision: 742494
- Second Mageia 5 Mass Rebuild

* Fri Sep 19 2014 alexl <alexl> 3.0.1-3.mga5
+ Revision: 697425
- fixed requires-on-release (rpmlint)
- moved from spec repeating parameters for building and for installation

* Tue Sep 16 2014 umeabot <umeabot> 3.0.1-2.mga5
+ Revision: 679222
- Mageia 5 Mass Rebuild

* Mon Apr 14 2014 alexl <alexl> 3.0.1-1.mga5
+ Revision: 614029
- imported package flam3

